Pkg-config support for Eclipse CDT

Add this URL to your Eclipse Installation to reach this solution's update site.

Oxygen (4.7), Neon (4.6), Mars (4.5), Luna (4.4), Kepler (4.3), Juno (4.2, 3.8), Previous to Juno (<=4.1), Photon (4.8), 2018-09 (4.9)

https://raw.githubusercontent.com/TuononenP/pkg-config.p2/master/site.xml

Learn more...
Solution Description

Provides automation of configuration needed for projects using pkg-config, such as GTK+ and gtkmm. Pkg-config utility outputs the necessary options needed to build a given package(s) that can be passed as compiler options.

Pkg-config support will set compiler and linker flags automatically that GCC needs to build selected packages - specifically includes, libraries, and some other GCC flags.

Cross platform support

Project can be held in a version control system and even if the packages have been selected in Linux, pulling the project in Windows will automatically update the flags (file-system paths etc).

Cross compilation environment support

Pkg-config plugin configuration is now per-project configuration rather than a global configuration. Path to the pkg-config binary can be set per-project.

UI Features

Property page

Used to select packages and set pkg-config configurations.

How to use

Find Pkg-config settings in project properties -> C/C++ Build -> Settings -> Pkg-config tab
Select packages that your project needs to build correctly. Under Advanced dialog you can set path to pkg-config utility and adjust the path with your custom parameters if you wish.

Requirements

* Pkg-config utility installed * Libraries you need (e.g. gtk+, gtkmm) * For Windows: MinGW or Cygwin * CDT 8.0 and Eclipse 3.7.x (Indigo) or newer

Update site

https://raw.githubusercontent.com/TuononenP/pkg-config.p2/master/site.x…

Development site

https://github.com/TuononenP/pkg-config-support-for-eclipse-cdt

Mailing list

http://groups.google.com/group/pkg-config-support-for-eclipse-cdt
pkg-config-support-for-eclipse-cdt@googlegroups.com

Note:

If you are having problems installing it is most probably because of not having CDT 8.0 or above.

Windows users: Do not install Gtk+ or Gtkmm in a path containing spaces, because pkg-config does not support spaces in paths.

Categories: Build and Deploy

Tags: pkg-config

Additional Details

Eclipse Versions: Oxygen (4.7), Neon (4.6), Mars (4.5), Luna (4.4), Kepler (4.3), Juno (4.2, 3.8), Previous to Juno (<=4.1), Photon (4.8), 2018-09 (4.9)

Platform Support: Windows, Mac, Linux/GTK

Organization Name: Petri Tuononen

Development Status: Production/Stable

Date Created: Friday, June 10, 2011 - 07:53

License: EPL

Date Updated: Monday, February 4, 2019 - 13:56

Submitted by: Petri Tuononen

Date Ranking Installs Clickthroughs
May 2024 219/662 72 21
April 2024 227/687 85 25
March 2024 233/694 87 17
February 2024 224/687 83 7
January 2024 193/691 125 7
December 2023 209/671 98 15
November 2023 198/686 135 11
October 2023 244/673 85 17
September 2023 216/663 97 11
August 2023 208/673 96 15
July 2023 206/668 100 11
June 2023 203/669 109 8
View Data for all Listings

Unsuccessful Installs

Unsuccessful Installs in the last 7 Days: 5

Download last 500 errors (CSV)

Marketplace Drag to Install Button

By adding the following code below to your website you will be able to add an install button for Pkg-config support for Eclipse CDT.

HTML Code:

Markdown Syntax:

Output:

Drag to your running Eclipse* workspace. *Requires Eclipse Marketplace Client

Reviews Add new review

Correction of my previous comment: I've succesfully installed pkg-config on Eclipse CDT 2021-06, but not by drag-and-drop method, but clicking on Install button after finding pkg-config on Eclipse Marketplace from Help menu.

I've successfully installed pkg-config plugin on Eclipse CDT 2020-09. I don't know if it does matter, but I've updated Eclipse CDT 2020-09 previously.

Any chance to "upadate" to current WORKING 2020-03 version?

Not sure if I can "import" from 2018-09 at any form - source , execuable . library .

 

 

For example on compilation -IC:/msys64/mingw64/include/gtkmm-3.0 becomes -IC:/m y 64/mingw64/include/gtkmm-3.0. The library -l s (ells) are good and are listed/indexed under linker libraries.

I worked round (hacked) by creating a settings XML file from pkg-config output on the command line and importing same to the Eclipse project. This hack is not maintainable though.

I had used Mysys2 to install Mingw , Cygwin , gtk ... all up to date newest stable version and the problem is repeated on both tool chains.

Any suggestions to fix? Ta

Eclipse 2018-09 and Oxygen gives me "Unable to read repository at https :// raw.githubusercontent.com/TuononenP/pkg-config.p2/master/site.xml/content.xml."

infact browsing https :// raw.githubusercontent.com/TuononenP/pkg-config.p2/master/site.xml/content.xml gives me a 404 :(

I tested it in Neon on Fedora23. When I activate the pkg-config option is project's properties. The include paths and libraries does not work. But it works in Mars and Luna edition.